Bug 1314584 - RGW: indexless buckets
Summary: RGW: indexless buckets
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 2.1
Assignee: Yehuda Sadeh
QA Contact: shilpa
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1383917
TreeView+ depends on / blocked
 
Reported: 2016-03-04 00:41 UTC by Yehuda Sadeh
Modified: 2017-07-30 15:46 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
.Ceph Object Gateway now supports indexless buckets Indexless buckets do not maintain an index and therefore require much less resources on Ceph OSDs. Consequently, they have higher performance than indexed buckets. Indexless buckets cannot be listed or replicated, therefore use them only when these capabilities are not required. For details, see the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-red-hat-enterprise-linux/#storage_policies[Storage Policies] chapter in the Ceph Object Gateway Guide for Red Hat Enterprise Linux or the https://access.redhat.com/documentation/en/red-hat-ceph-storage/2/single/object-gateway-guide-for-ubuntu/#storage_policies[Storage Policies] chapter in the Ceph Object Gateway Guide for Ubuntu.
Clone Of:
Environment:
Last Closed: 2016-11-22 19:24:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 17295 None None None 2016-09-19 10:56:49 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Yehuda Sadeh 2016-03-04 00:41:56 UTC
These are buckets that don't maintain an index, therefore cannot be replicated, and cannot be listed. There is a potential performance improvement when using these buckets (when writing data). This is useful in environments that keep external metadata about the objects, and there is no need for data replication and listing. It provides a performance benefit. The implementation allows specifying whether a placement target (storage policy) is indexless, and it affects buckets that are created under that policy.

Comment 5 shilpa 2016-10-21 09:39:45 UTC
Verified on 2.1

Comment 8 errata-xmlrpc 2016-11-22 19:24:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.